package sample.activity;

import java.util.*;

import com.poscoict.glueframework.biz.activity.*;
import com.poscoict.glueframework.biz.control.*;
import com.poscoict.glueframework.context.*;

public class DeptRouter extends GlueActivity<GlueContext> {
    public String runActivity( GlueContext ctx ) {
        //ResultKey List (reuse activity)
        String resultKeyList
            = this.getProperty( GlueActivityConstants.CTX_KEY_LIST );
        if ( resultKeyList != null ) {
            String[] keys = resultKeyList.split( "\\|" );
            List<String> keyList = new ArrayList<String>( keys.length );
            for ( int i = 0, iz = keys.length; i < iz; i++ ) {
                keyList.add( keys[i] );
            }
            ctx.put( GlueBizControlConstants.RESULT_KEY_LIST, keyList );
        }
        // Default Router : Key   б
        if ( ctx.get( "find" )!=null )
            return "find";
        if ( ctx.get( "update" )!=null )
            return "update";
        if ( ctx.get( "delete" )!=null )
            return "delete";
        if ( ctx.get( "insert" )!=null )
            return "insert";
        // Value Router : Key   б
        if ( "U".equals(ctx.get( "CRUD" )) )
            return "update";
        if ( "D".equals(ctx.get( "CRUD" )) )
            return "delete";
        if ( "C".equals(ctx.get( "CRUD" )) )
            return "insert";
        return GlueBizControlConstants.SUCCESS;
    }
}